from sqlalchemy.orm import Mapped, relationship

from . import Base, str_25, uuidpk


class Menu(Base):
    __tablename__ = "menu"

    id: Mapped[uuidpk]
    title: Mapped[str_25]
    description: Mapped[str | None]

    submenus: Mapped[list["SubMenu"]] = relationship(
        "SubMenu",
        backref="menu",
        lazy="selectin",
        cascade="all, delete",
    )
